<template>
    <div
        class="spinner"
        :style="{
            background: 'conic-gradient(#0000 10%, ' + color + ')',
            width: `${size}px`,
            height: `${size}px`
        }"
    ></div>
</template>

<script>
export default {
    props: {
        color: {
            type: String,
            default: "#7367f0"
        },
        size: {
            type: String,
            default: "20"
        }
    }
};
</script>

<style lang="scss" scoped>
.spinner {
    display: inline-block;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    // background: conic-gradient(#0000 10%, #7367f0);
    -webkit-mask: radial-gradient(
        farthest-side,
        #0000 calc(100% - 3px),
        #000 0
    );
    animation: s3 1s infinite linear;
}
@keyframes s3 {
    to {
        transform: rotate(1turn);
    }
}
</style>
